"""This package contains core functionality to be used in other packages.

Modules:

    apis: name constants for APIs that are used in other packages.
    config_constants: configuration constants that are used in other packages.
    config_object: base functionality for an object's name and parameters configuration.
    config_params: classes that are used for configuring different parameters.
    event_dispatcher: class that can dispatch events to listeners.
    event_error: callback functions when an error occurs.
    event_io: callback functions when an IO operation occurs.
    factories: (base) factory classes that are structured tree-like.

Packages:

    parsing: base functionality for parsing configuration files.
    threading: base class thread and processing threads.

This program has been developed by students from the bachelor Computer Science at
Utrecht University within the Software Project course.
© Copyright Utrecht University (Department of Information and Computing Sciences)
"""
